Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 271607

Summary: [patch] app-accessibility/speech-tools-1.2.96_beta fails to build with gcc-4.4
Product: Gentoo Linux Reporter: hirakendu <hirakendu>
Component: [OLD] GCC PortingAssignee: Jesus Rivero (RETIRED) <neurogeek>
Status: RESOLVED FIXED    
Severity: normal CC: accessibility, esigra, flameeyes, m.debruijne, sound
Priority: High Keywords: Inclusion
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 249226, 270353    
Attachments: patch for speech-tools to build with gcc-4.4

Description hirakendu 2009-05-29 06:49:16 UTC
usual type conversion error. 

Reproducible: Always
Comment 1 hirakendu 2009-05-29 06:49:54 UTC
Created attachment 192785 [details, diff]
patch for speech-tools to build with gcc-4.4
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-05 23:49:32 UTC
*** Bug 273765 has been marked as a duplicate of this bug. ***
Comment 3 Samuli Suominen (RETIRED) gentoo-dev 2009-07-23 16:48:53 UTC
+  23 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
+  speech-tools-1.2.96_beta.ebuild,
+  +files/speech-tools-1.2.96_beta-gcc44.patch:
+  Fix building with glibc-2.10+ wrt #271607, thanks to hirakendu.